Brackets appear in history when topic title that contains link is changed
Closed, ResolvedPublic

Description

Split off from T59153#1822120:

Create a topic named [[foo]] and rename it to [[bar]]. The links will either render or be converted to plain text in all the right places, except in the history line explaining the rename.

Catrope created this task.Dec 4 2015, 1:06 AM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Normal.
Catrope added subscribers: Catrope, Mattflaschen-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2015, 1:06 AM
SBisson added a subscriber: SBisson.Dec 8 2015, 3:50 PM

Do we want the links in topic titles to be actual links on the history page or do we just want the plaintext version?

Change 257640 had a related patch set uploaded (by Sbisson):
Display topic title as plaintext on history page

https://gerrit.wikimedia.org/r/257640

SBisson claimed this task.Dec 8 2015, 5:00 PM
SBisson set Security to None.

Change 257640 merged by jenkins-bot:
Display topic title as plaintext on history page

https://gerrit.wikimedia.org/r/257640

Checked in betalabs.

No brackets in title links

The quotes are placed too tightly filed as T121002: Double quote (") immediately after an external link looks ugly: icon is too close to the double quote

Catrope closed this task as Resolved.Dec 10 2015, 2:33 AM